<div class="post-inner">
	<?php
    $portfolio = ocolus_get_option( 'portfolio_list_style', 'grid' );
    $fullwidth = ocolus_get_option( 'portfolio_full_width' );
    $gutter    = ocolus_get_option( 'portfolio_gutter' );
    $column    = ocolus_get_option( 'portfolio_column' );
    $meta_post = get_post_meta( get_the_ID(), '_custom_portfolio_side_options', true );
    $width     = 570;
    $height    = 570;
    if ( $gutter == 1 ){
        $width  = 560;
        $height = 560;
    }
    if ( $fullwidth == 1 ){
        $width  = 960;
        $height = 960;
        if ( $gutter == 1 ){
            $width  = 950;
            $height = 950;
        }
    }
    if ( $portfolio == 'carousel' ) {
        $width  = 380;
        $height = 500;
        if ( $gutter == 1 ){
            $width  = 367;
            $height = 483;
        }
        if ( $fullwidth == 1 ){
            $width  = 960;
            $height = 800;
            if ( $gutter == 1 ){
                $width  = 950;
                $height = 792;
            }
        }
    }
    if ( $portfolio == 'masonry' ){
        if ( isset( $meta_post['post_size_masonry'] ) && $meta_post['post_size_masonry'] == 'medium' ){
            $height = 741;
            if ( $gutter == 1 ){
                $height = 728;
            }
            if ( $fullwidth == 1 ){
                $height = 1248;
                if ( $gutter == 1 ){
                    $height = 1235;
                }
            }
        }
        if ( $fullwidth == 1 && $column != 2 ){
            $width  = 640;
            $height = 640;
            if ( $gutter == 1 ){
                $width  = 626;
                $height = 626;
            }
            if ( isset( $meta_post['post_size_masonry'] ) && $meta_post['post_size_masonry'] == 'medium' ){
                $height = 832;
                if ( $gutter == 1 ){
                    $height = 814;
                }
            }
        }
    }
    if ( $portfolio == 'metro' && isset( $meta_post['post_size'] ) ){
        if ( $meta_post['post_size'] == 'small' || $meta_post['post_size'] == 'medium_h' ){
            $height = 285;
            if ( $gutter == 1 ){
                $height = 270;
            }
            if ( $fullwidth == 1 ){
                $height = 480;
                if ( $gutter == 1 ){
                    $height = 465;
                }
            }
        }
        if ( $meta_post['post_size'] == 'small' || $meta_post['post_size'] == 'medium_v' ){
            $width = 285;
            if ( $gutter == 1 ){
                $width = 270;
            }
            if ( $fullwidth == 1 ){
                $width = 480;
                if ( $gutter == 1 ){
                    $width = 465;
                }
            }
        }
    }
    ocolus_post_thumbnail( $width, $height );
    ?>
    <div class="post-info">
		<div class="info-inner">
            <?php
            ocolus_post_title();
            ocolus_post_taxonomy( null, 'portfolio-category' );
            ?>
        </div>
    </div>
</div>